# Class PumpAlarmState

Namespace
  adas_core.Domain.Models.Pumps

Assembly
  adas-core.Domain.dll

Estado actual de alarmas activas por bomba. Una fila por alarma activa (DeviceId + AlarmType o AlarmCodeMdc). Se actualiza vía PumpService: start/continue → upsert, end → delete.

    public class PumpAlarmState

Inheritance
  object
  PumpAlarmState

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AlarmCodeMdc

    public string? AlarmCodeMdc { get; set; }

#### Property Value

string

### AlarmDescription

    public string? AlarmDescription { get; set; }

#### Property Value

string

### AlarmPriority

    public string? AlarmPriority { get; set; }

#### Property Value

string

### AlarmState

    public string? AlarmState { get; set; }

#### Property Value

string

### AlarmType

    public PumpEnum.AlarmType? AlarmType { get; set; }

#### Property Value

PumpEnum.AlarmType?

### AlertSourceMdc

    public string? AlertSourceMdc { get; set; }

#### Property Value

string

### DeviceId

    public string? DeviceId { get; set; }

#### Property Value

string

### FirstSeen

    public DateTime FirstSeen { get; set; }

#### Property Value

DateTime

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### InfusionId

    public string? InfusionId { get; set; }

#### Property Value

string

### LastPhase

    public PumpEnum.EventPhase? LastPhase { get; set; }

#### Property Value

PumpEnum.EventPhase?

### LastUpdated

    public DateTime LastUpdated { get; set; }

#### Property Value

DateTime

### PatientId

    public ObjectId? PatientId { get; set; }

#### Property Value

ObjectId?